\begin{caml_primitive}
incr_int : int ref -> int
decr_int : int ref -> int
\end{caml_primitive}
\conceptindex{\verb"incr"}
\conceptindex{\verb"decr"}

When one has created a reference containing a number (whose type is 
\verb"int"), it is convenient to increment and decrement its value, using 
these two (primitive) functions semantically equivalent to:

\begin{small}
\begin{verbatim}
let incr_int i = i:= succ_int !i and decr_int i = i:= pred_int !i;;
\end{verbatim}
\end{small}
